MantisBT

View Issue Details Jump to Notes ] Wiki ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013256mantisbtotherpublic2011-08-22 16:312014-09-23 18:05
Reportersils 
Assigned Tojreese 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformallOSOS Version
Product Version1.2.7 
Target Version1.2.9Fixed in Version1.2.9 
Summary0013256: do not distribute .gitignore file on released tar.gz
DescriptionHi Team,

I'm the debian maintainer of mantis.. I need to let you know since 1.2.x versions I realized that you have been distributed .gitignore file with the source code of mantisbt (TAR.GZ), this is a big problem if you are using git as well for developing or in your production server. From 1.2.4-1 [1] to 1.2.6-1 mantis debian packages we have implemented a patch for this issue, but this is not the right way.

It would be appreciated if .gitignore file, will not be distributed in upstream released copies.

Thanks in advance.

BTW, now we are packaging the 1.2.7. Great job! :-)

[1] http://packages.debian.org/changelogs/pool/main/m/mantis/current/changelog#version1.2.4-1 [^]
TagsNo tags attached.
Attached Files

- Relationships
related to 0015721closedgrangeway Functionality to consider porting to master-2.0.x 

-  Notes
User avatar (0029684)
sils (reporter)
2011-09-11 18:42

Apologize for the insistence. But this issue it was not resolved in 1.2.8.

I think the build script was fixed into the repo, but it was not used to build the 1.2.8 release, which continues including the .gitignore file.

I have tested the buildrelease.py, the last version updated by jreese in github, and it works fine, the .gitignore is removed, then I assume that the last release was built without this arrangement :-)

I just send a "reopen request" to do not forget about this issue in next release. Thanks in advance.
User avatar (0036326)
grangeway (reporter)
2013-04-05 17:57

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch

- Related Changesets
Tools: master 95957d19
Timestamp: 2011-08-22 15:39:32
Author: jreese
Details ] Diff ]
Fix 0013256: Remove .gitignore from release builds
mod - buildrelease.py Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-08-22 16:31 sils New Issue
2011-08-22 18:34 jreese Assigned To => jreese
2011-08-22 18:34 jreese Status new => assigned
2011-08-22 18:34 jreese Target Version => 1.2.8
2011-08-22 18:40 jreese Changeset attached => Tools master 95957d19
2011-08-22 18:40 jreese Status assigned => resolved
2011-08-22 18:40 jreese Resolution open => fixed
2011-08-23 02:43 atrol Fixed in Version => 1.2.8
2011-09-06 10:34 jreese Status resolved => closed
2011-09-11 18:42 sils Note Added: 0029684
2011-09-11 18:42 sils Status closed => feedback
2011-09-11 18:42 sils Resolution fixed => reopened
2011-09-12 11:05 jreese Status feedback => resolved
2011-09-12 11:05 jreese Resolution reopened => fixed
2011-10-09 05:40 atrol Fixed in Version 1.2.8 => 1.2.9
2011-10-09 05:40 atrol Target Version 1.2.8 => 1.2.9
2012-03-03 21:45 vboctor Status resolved => closed
2013-04-05 17:57 grangeway Status closed => acknowledged
2013-04-05 17:57 grangeway Note Added: 0036326
2013-04-05 18:23 grangeway Relationship added related to 0015721
2013-04-06 03:42 dregad Status acknowledged => closed
2013-04-06 07:23 grangeway Status closed => acknowledged
2013-04-06 09:24 dregad Tag Attached: 2.0.x check
2013-04-06 09:24 dregad Status acknowledged => closed
2014-09-23 18:05 grangeway Tag Detached: 2.0.x check


MantisBT 1.2.17 [^]
Copyright © 2000 - 2014 MantisBT Team
Time: 0.1001 seconds.
memory usage: 3,066 KB
Powered by Mantis Bugtracker